View Issue Details

IDProjectCategoryView StatusLast Update
0005650mantisbtcustom fieldspublic2019-05-22 15:43
Reportergrangeway Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0005650: Investigate/Implement Enchanced Custom Field support
Description

Provisional Ideas:

1, Allow custom fields for more object types:
a) users
b) machine profiles
c) files
d) bugnotes.

2, Possibly investigate 'multi-language custom field value support e.g. enumerations in localized language. (possibly only through additional of an individual custom_function for each enum). Presently this is not possible as we store the english value.

3, Improved administration screen to facilitate 1/2. Maybe allow 'required on X' options for additional bugs states e.g. we currently support resolved/closed. Make this generic so users can implement custom fields for their own states.

TagsNo tags attached.

Relationships

parent of 0005278 new custom field for user accounts 
parent of 0003768 new User details (a kind of profile) 
parent of 0005636 new Store custom fields ids, not their values. 
parent of 0004705 closedvboctor Add Text type in addition to String for custom field types 
parent of 0005656 confirmed Change status to: 'page' not displaying the custom fields in it 
Not all the children of this issue are yet resolved or closed.

Activities

fman

fman

2007-06-20 04:23

reporter   ~0014776

This will be a very good feature to have.

Sergiodf

Sergiodf

2008-08-19 14:28

reporter   ~0019180

About point 3:
I had modified 'required on resolved' to work with integer instead of boolean. This way i can specify the lower status in which the field appears.
But i think it should be a lower/higher status, or better, a multiselect list where the administrator can select each status (s)he wants the field appears.

Sergiodf

Sergiodf

2008-08-19 14:31

reporter   ~0019181

About point 1.a:
It will be useful Mantis notifies the user selected on the custom field. Or let the admin define it.

jazz

jazz

2016-06-24 09:01

reporter   ~0053441

Is there any way through which I can show custom field in change_status_page .Here Custom field should not be required field.

Marnix

Marnix

2018-05-22 06:22

reporter   ~0059916

Have also a look at this issue: 0005744 and this plugin; https://www.mantisbt.org/wiki/doku.php/mantisbt:custom_field_display_requirements
Plugin needs te be updated i assume...

Issue History

Date Modified Username Field Change
2005-05-25 13:45 grangeway New Issue
2005-05-25 14:00 grangeway Relationship added child of 0005410
2005-05-25 14:01 grangeway Relationship added parent of 0005278
2005-05-25 14:15 grangeway Relationship added parent of 0003768
2005-05-25 17:39 grangeway Relationship added parent of 0005636
2005-05-25 17:56 grangeway Relationship added parent of 0004705
2005-05-26 09:11 thraxisp Relationship added parent of 0005656
2005-12-06 18:51 jlatour Status new => acknowledged
2007-06-20 04:23 fman Note Added: 0014776
2007-07-08 18:10 vboctor Target Version => 1.2.0
2007-07-08 18:18 vboctor Relationship deleted child of 0005410
2008-07-12 18:19 giallu Target Version => 1.2.0
2008-08-19 14:28 Sergiodf Note Added: 0019180
2008-08-19 14:31 Sergiodf Note Added: 0019181
2009-05-04 14:27 siebrand Target Version 1.2.2 => 1.x.x
2014-01-21 16:02 atrol Target Version 1.3.0-beta.1 =>
2016-06-24 09:01 jazz Note Added: 0053441
2018-05-22 06:22 Marnix Note Added: 0059916